Skip to main content
GET
/
v2
/
payroll-documents
List all payroll documents
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/payroll-documents \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "0186dc02-05b6-b83f-c366-b39a267e1570",
    "account": "0185a8b8-60eb-80ca-7482-5f24504573f7",
    "document_number": null,
    "available_date": "2020-05-13T17:25:59Z",
    "expiration_date": null,
    "employer": "Whole Goods",
    "employment": "0186a27d-e5c6-735a-a359-6315b34d544c",
    "document_type": "payout-statement",
    "document_type_description": null,
    "file_url": "api.argyle.com/v2/payroll-documents/{id}/file",
    "created_at": "2023-03-13T17:27:01.501Z",
    "updated_at": "2023-03-13T17:27:01.501Z",
    "ocr_data": {},
    "metadata": {}
  },
  {
    "id": "0176dc14-bb37-402a-7be1-f5261759fae7",
    "account": "0187c66e-e7e5-811c-b006-2232f00f426a",
    "document_number": "ced46eb3-7586-3cd7-2418-8eb9482bc3ec",
    "available_date": "2019-03-14T17:46:25Z",
    "expiration_date": "2027-03-12T17:46:25Z",
    "employer": "GigAndGo",
    "employment": "42d6531c-520a-26b9-35c3-b7137a6d205a",
    "document_type": "drivers-licence",
    "document_type_description": "Driver's license",
    "file_url": "api.argyle.com/v2/payroll-documents/{id}/file",
    "created_at": "2023-03-13T17:46:28.240Z",
    "updated_at": "2023-03-13T17:46:28.240Z",
    "ocr_data": {},
    "metadata": {}
  }
]

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

account
string<uuid>

Filter by account ID.

user
string<uuid>

Filter by user ID.

employment
string<uuid>

Filter by employment ID.

from_available_date
string<date-time>

Filter for payroll documents with an available_date on or after this timestamp (ISO 8601).

to_available_date
string<date-time>

Filter for payroll documents with an available_date on or before this timestamp (ISO 8601).

limit
integer

Number of payroll document objects returned per page. Default: 10. Maximum: 200.

Response

200 - application/json
id
string<uuid>

Unique ID of the payroll document object.

Also the payroll_document ID value of the paystub object.

account
string<uuid>

ID of the account where the payroll document was sourced.

document_number
string

Identification number that appears on the payroll document.

available_date
string<date-time>

Timestamp (ISO 8601) when the payroll document was made available to the user on the underlying payroll system.

expiration_date
string<date-time>

Timestamp (ISO 8601) when payroll document (such as a driver's license) expires.

employer
string

Employer name.

employment
string

Employment ID. Can be used as a filter when listing payroll documents.

document_type
enum<string>

The type of payroll document, as returned by the payroll system. The following values are the most common, but document_type is not restricted to these values.

Available options:
payout-statement,
W-2,
W-4,
W-9,
1095,
1095-C,
1099,
profile-picture,
drivers-license,
vehicle-insurance,
vehicle-registration,
vehicle-inspection,
other
document_type_description
string

Description of the payroll document type.

file_url
string

URL linking to the original payroll document file.

This static URL redirects to a download page that requires Argyle authentication headers. See the dropdown below for more information.

Implementation requirements for client-side applications

  1. Ensure your HTTP client or library (e.g. Axios, Python requests, etc.) or similar tool is configured to pursue redirects. Most tools support this functionality.

  2. Basic authentication headers for Argyle must be appended to the file download request.

created_at
string<date-time>

Timestamp (ISO 8601) when the payroll document object was created.

updated_at
string<date-time>

Timestamp (ISO 8601) when a property value of the payroll document object most recently changed.

ocr_data
object

Argyle scans and provides additional information for 1099 and W-2 documents retrieved from connected payroll accounts.

metadata
object

Additional, non-categorized information.